/v1/chat/completions| Name | Type | Required | Description |
|---|---|---|---|
X-Trace-Id | string | Optional | |
X-Parent-Span-Id | string | Optional | |
X-Request-Type | string | Optional | |
X-Name | string | Optional | |
X-Apply-Pii-Pseudonymization | string | Optional | Default: false |
X-Apply-Oii-Pseudonymization | string | Optional | Default: true |
X-Collection-Ids | string | Optional | Default: |
X-Pii-Mapping | string | Optional | |
X-Auto-Pii-Mapping | string | Optional | |
X-Pii-Positions | string | Optional | |
X-Uploaded-Files | string | Optional | Default: |
X-Chat-History-Pii-Mapping | string | Optional | |
X-Model | string | Optional | |
X-Aimable-Space-Id | string | Optional | |
X-Space-Id | string | Optional | |
X-Model-Api-Key | string | Optional | |
X-Model-Api-Base-Url | string | Optional | |
X-Collection-Descriptions | string | Optional | |
X-API-Key | string | Optional |
messagesobjectRequiredfrequency_penaltyobjectlogit_biasobjectlogprobsobjecttop_logprobsobjectmax_tokensobjectnobjectresponse_formatobjectseedobjectstopobjectstreamobjecttemperatureobjecttop_pobjectuserobjectuploaded_filesobjecttrusted_model_overrideobjecttoolsobjecttool_choiceobjectchunksobjectcurl -X POST '/api-proxy/v1/chat/completions' \
-H 'Authorization: Bearer <YOUR_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"messages": {},
"frequency_penalty": 0,
"logit_bias": {},
"logprobs": {},
"top_logprobs": {},
"max_tokens": {},
"n": 1,
"response_format": {},
"seed": {},
"stop": {},
"stream": false,
"temperature": 0.7,
"top_p": {},
"user": {},
"uploaded_files": {},
"trusted_model_override": {},
"tools": {},
"tool_choice": {},
"chunks": {}
}'No response body documented
curl -X POST '/api-proxy/v1/chat/completions' \
-H 'Authorization: Bearer <YOUR_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"messages": {},
"frequency_penalty": 0,
"logit_bias": {},
"logprobs": {},
"top_logprobs": {},
"max_tokens": {},
"n": 1,
"response_format": {},
"seed": {},
"stop": {},
"stream": false,
"temperature": 0.7,
"top_p": {},
"user": {},
"uploaded_files": {},
"trusted_model_override": {},
"tools": {},
"tool_choice": {},
"chunks": {}
}'No response body documented